
package de.ivu.elect.presentation.kandidatur.action;

import de.ivu.elect.business.kandidatur.entity.Direktkandidatur;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.business.wahlvorschlag.entity.WahlvorschlagStatus;
import de.ivu.elect.presentation.wahl.CurrentWahlZulassungspruefungExtended;

public class DirektkandidaturZulassungAufhebenKeineZulassungsfaehigkeitNachZulassungsausschussAction extends AbstractDirektkandidaturZulassungAction {

  private static final long serialVersionUID = 1L;

  public DirektkandidaturZulassungAufhebenKeineZulassungsfaehigkeitNachZulassungsausschussAction() {
    super();
  }

  @Override
  protected UseCasePermission getRequiredPermission() {
    return UseCasePermission.WAHLVORSCHLAG_QS_ZULASSUNG_AENDERN_NACHTRAEGLICH_KEINE_ZULASSUNGSFAEHIGKEIT_NACH_ZULASSUNGSAUSSCHUSS;
  }

  @Override
  public boolean isDisabledInternal(Direktkandidatur direktkandidatur, CurrentWahlZulassungspruefungExtended currentWahlZulassungspruefung) {
    return !currentWahlZulassungspruefung.isZulassungAufhebenKeineZulassungsfaehigkeitNachZulassungsausschussZulaessig(direktkandidatur);
  }

  @Override
  protected WahlvorschlagStatus getWahlvorschlagStatus() {
    return WahlvorschlagStatus.NICHT_MEHR_ZUGELASSEN_WEIL_ZULASSUNGSFAEHIGKEIT_NACH_ZULASSUNGSAUSSCHUSS_VERLOREN;
  }

  @Override
  public String getLabelKey() {
    return "kandidatur.search.action.nicht.zulassen.da.zulassungsfaehigkeit.nach.zulassungsausschuss.verloren";
  }
}
